Subject: Re: compiling python under cygwin
From: Jason Tishler <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "Robinow, David" <[email-masked]>
Date: Wed, 4 Oct 2000 20:51:00 -0400

On Wed, Oct 04, 2000 at 11:42:16AM -0400, Robinow, David wrote:
>    The following was added as netinet/tcp.h on 9/5/2000:
>    
>    #ifndef _NETINET_TCP_H
>    #define _NETINET_TCP_H
>    
>    #include <winsock.h>
>    
>    #endif

Unfortunately after further investigation, I have to report that the
above change to Cygwin causes Python 2.0b2's Modules/socketmodule.c to
fail compilation.

BTW, this change also causes problems with PostgreSQL 7.0.2's
src/backend/libpq/pqcomm.c and src/interfaces/libpq/fe-connect.c too.

I guess I prefer that Cygwin has an empty netinet/tcp.h.  Is there any
chance of that happening?

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]